All Classes Namespaces Functions Variables Groups Pages
CsvUtil Namespace Reference

the CsvUtil namespace contains all the objects in the CsvUtil module More...

## Classes

class | AbstractCsvIterator
| the AbstractCsvIterator class is an abstract base class that allows abstract CSV data to be iterated More...
class | AbstractCsvWriter
| The AbstractCsvWriter class provides a parent for all CSV writers. More...
class | CsvDataIterator
| The CsvDataIterator class allows arbitrary CSV string data to be iterated on a record basis. More...
class | CsvFileIterator
| The CsvFileIterator class allows CSV files to be iterated on a record basis. More...
class | CsvFileWriter
| The CsvFileWriter class for safe CSV file creation. More...
class | CsvIterator
| The CsvIterator class allows CSV sources to be iterated on a record basis. The source of the input data is either a AbstractLineIterator object or an InputStream object. More...
class | CsvStringWriter
| The CsvStringWriter class for in-memory string CSV creation. More...
class | CsvWriter
| The CsvWriter class for safe CSV data creation. More...

## Functions

| csvutil_set_global_compat_force_empty_string (softbool val)
| sets the `global_compat_force_empty_string` variable to force "*string" fields with no value to return an empty string when parsing rather than NOTHING for backwards compatibility with very early versions of CsvUtil

## Variables

const | CSV_TYPE_SINGLE = "<single>"
| Record type when multi-type is disabled.
const | CSV_TYPE_UNKNOWN = "<unknown>"
| Record type when non matching any type.
const | EOL_MACINTOSH = "\r"
| Old (pre-OSX) Macintosh end of line character sequence.
const | EOL_UNIX = "\n"
| Unix end of line character sequence (for new OS X too)
const | EOL_WIN = "\r\n"
| MS DOS/Windows end of line character sequence.
bool | global_compat_force_empty_string
| global option to force "*string" fields with no value to return an empty string when parsing rather than NOTHING for backwards compatibility with very early versions of CsvUtil

## Detailed Description

the CsvUtil namespace contains all the objects in the CsvUtil module